/**
 * 配置中心模块
 * @date 2022-08-13 21:44:54
 * @author 何华东
 */
declare class TyApiConfig {
    ty_url: string;
}
declare class AliOssConfig {
    region: string;
    accessKeyId: string;
    accessKeySecret: string;
    bucket: string;
}
declare class RedisConfig {
    host: string;
    port: string;
    password: string;
    database: string;
}
declare class ImageMysqlConfig {
    host: string;
    port: number;
    user: string;
    password: string;
    database: string;
}
/**
 * 配置中心非标配置
 */
export declare class ConfigCenterConfig {
    static ty_url: string;
    static mysql_host: string;
    static mysql_port: string;
    static mysql_db: string;
    static mysql_user: string;
    static mysql_pwd: string;
    static reids_host: string;
    static reids_port: string;
    static reid_db: string;
    static reids_pwd: string;
    static alioss_region: string;
    static alioss_accessKeyId: string;
    static alioss_accessKeySecret: string;
    static alioss_bucket: string;
    static imageMysql_host: string;
    static imageMysql_port: number;
    static imageMysql_db: string;
    static imageMysql_user: string;
    static imageMysql_pwd: string;
}
/**
 * 配置中心的配置provider
 */
export declare class ConfigCenterConfigProvider {
    static readonly RETRY_MS: number;
    static readonly RETRY_DELAY_MS = 200;
    /**
     * 验证项目配置是否引用了NsConfig(配置中心)
     */
    static checkRefNsConfig(): boolean;
    /**
     * 获取配置中心-统一接口配置
     */
    static getTyApiConfig(): Promise<TyApiConfig>;
    /**
     * 获取配置中心-ali-oss配置
     */
    static getAliOssConfig(): Promise<AliOssConfig>;
    /**
     * 获取配置中心-redis配置
     */
    static getRedisConfig(): Promise<RedisConfig>;
    /**
     * 获取车场镜像MYSQL配置
     */
    static getImageMysqlConfig(): Promise<ImageMysqlConfig>;
}
export {};
